## postgresql 7.2.1

=== contrib/array/Makefile ===
# $Header: /cvsroot/pgsql/contrib/array/Makefile,v 1.16 2001/09/06 10:49:29 petere Exp $

subdir = contrib/array
top_builddir = ../..
include $(top_builddir)/src/Makefile.global

MODULES = array_iterator
DATA_built = array_iterator.sql
DOCS = README.array_iterator

include $(top_srcdir)/contrib/contrib-global.mk
