=== contrib/btree_gist/Makefile ===
# $Header: /cvsroot/pgsql/contrib/btree_gist/Makefile,v 1.3 2001/09/06 10:49:29 petere Exp $

subdir = contrib/btree_gist
top_builddir = ../..
include $(top_builddir)/src/Makefile.global

MODULES = btree_gist
DATA_built = btree_gist.sql
DOCS = README.btree_gist
REGRESS = btree_gist

include $(top_srcdir)/contrib/contrib-global.mk
