=== contrib/pg_logger/Makefile ===
# $Header: /cvsroot/pgsql/contrib/pg_logger/Makefile,v 1.2 2001/09/06 10:49:30 petere Exp $

subdir = contrib/pg_logger
top_builddir = ../..
include $(top_builddir)/src/Makefile.global

PROGRAM = pg_logger
OBJS	= pg_logger.o

DOCS = README.pg_logger

include $(top_srcdir)/contrib/contrib-global.mk
