=== contrib/string/Makefile ===
# $Header: /cvsroot/pgsql/contrib/string/Makefile,v 1.16 2001/09/06 10:49:30 petere Exp $

subdir = contrib/string
top_builddir = ../..
include $(top_builddir)/src/Makefile.global

MODULES = string_io
DATA_built = string_io.sql
DOCS = README.string_io

include $(top_srcdir)/contrib/contrib-global.mk
