=== contrib/tips/Makefile ===
# $Header: /cvsroot/pgsql/contrib/tips/Makefile,v 1.5 2001/09/06 10:49:30 petere Exp $

subdir = contrib/tips
top_builddir = ../..
include $(top_builddir)/src/Makefile.global

DOCS = README.apachelog

include $(top_srcdir)/contrib/contrib-global.mk
