## postgresql 7.5.9

=== debian/changelog ===
postgresql (7.5.9) unstable; urgency=low

  * Recommend the split out PL/* languages and add a note to the package
    description.
  * Remove obsolete conffile /etc/cron.d/postgresql (if unchanged).

 -- Martin Pitt <mpitt@debian.org>  Wed, 31 Aug 2005 11:41:43 +0200

postgresql (7.5.8) unstable; urgency=low

  * Not only clean .profile/.bash_profile in /var/lib/postgres, but also in
    postgres' actual home directory. Closes: #315422

 -- Martin Pitt <mpitt@debian.org>  Mon, 27 Jun 2005 00:23:09 +0200

postgresql (7.5.7) unstable; urgency=low

  * Fixed home directory correction in /etc/passwd.

 -- Martin Pitt <mpitt@debian.org>  Tue, 21 Jun 2005 19:54:54 +0200

postgresql (7.5.6) unstable; urgency=low

  * remove_unchanged_conffile(): Don't fail if the file does not exist any
    more.

 -- Martin Pitt <mpitt@debian.org>  Fri, 17 Jun 2005 18:32:02 +0200

postgresql (7.5.5) unstable; urgency=low

  * Remove obsolete conffile /etc/logrotate.d/postgresql (if unchanged).
  * Try to move the log file to the new canonical location.
  * Make the cleanup of /var/lib/postgres more error resistant.
    Closes: #312581
  * Restructured the postinst: Move functions that must only be executed once
    to sarge_etch_transition() and cleanup functions which can be executed at
    any time to cleanup().
  * postinst: Check the version we are upgrading from and do the adequate
    actions.
  * postinst: Remove obsolete stuff from /var/lib/postgres/.[bash_]profile and
    remove the file if only whitespace is left after that. Closes: #312514
  * Print a very short status message and help pointers after a successful
    transition.
  * Clean /var/lib/postgres/.bash_history.
  * Correct home directory of postgres user to /var/lib/postgresql.

 -- Martin Pitt <mpitt@debian.org>  Fri, 17 Jun 2005 18:22:17 +0200

postgresql (7.5.4) unstable; urgency=low

  * First unstable upload.

 -- Martin Pitt <mpitt@debian.org>  Tue,  7 Jun 2005 12:54:29 +0200

postgresql (7.5.3) experimental; urgency=low

  * debian/postgresql.postinst: Fix pg_createcluster call, now use -d
    parameter.

 -- Martin Pitt <mpitt@debian.org>  Mon,  6 Jun 2005 10:33:44 +0200

postgresql (7.5.2) experimental; urgency=low

  * Adapt dynamic_library_path in postgresql.conf. Closes: #300902

 -- Martin Pitt <mpitt@debian.org>  Mon, 28 Mar 2005 12:59:38 +0200

postgresql (7.5.1) experimental; urgency=low

  * Remove /etc/init.d/postgresql if it is unmodified; rename it to .dpkg-old
    and remove executability if it was modified.
  * Improved removal of obsolete conffiles.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 22 Mar 2005 22:25:14 +0100

postgresql (7.5.0) experimental; urgency=low

  * Initial release of transition package to new multicluster/multiversion
    architecture.

 -- Martin Pitt <mpitt@debian.org>  Tue, 15 Feb 2005 22:58:37 +0100
