## postgresql 7.5.16.1

=== debian/changelog ===
postgresql (7.5.16.1) dapper; urgency=low

  * Fake sync from Debian to get bug fixes for the transition to the new
    architecture (only affects upgrades from Hoary, though).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sat, 25 Feb 2006 12:40:50 +0100

postgresql (7.5.16) unstable; urgency=low

  * Bump Standards-Version.
  * Start cluster after library path adaption in postgresql.conf, not before.
  * Migrate custom settings in postgresql.env and postmaster.conf to the new
    environment file. Closes: #340166
  * debian/control: Bump postgresql-common dependency to 40, which supports
    environment file handling.
  * test-psql-transition: Use set +e after the actual transition to be able to
    examine status even after failures.
  * Create a fake postgresql.conf in preinst and remove it in postinst again,
    now that postgresql-common actually checks for the existance of it to
    decide whether to create a cluster.

 -- Martin Pitt <mpitt@debian.org>  Sat, 11 Feb 2006 13:17:35 +0100

postgresql (7.5.15) unstable; urgency=high

  * Urgency high since this bug broke upgrades from Sarge.
  * debian/postgresql.preinst: Stop postmaster so that it really is not
    running during the transition. 
  * Add test-psql-transition: Test script that uses pbuilder to test the
    upgrade from Sarge to the new infrastructure. This is not shipped.

 -- Martin Pitt <mpitt@debian.org>  Thu, 29 Dec 2005 15:47:22 +0100

postgresql (7.5.14) unstable; urgency=medium

  * Urgency medium, this upload just fixes a bug that will break sarge
    upgrades with postgresql-common 38.
  * debian/postgresql.postinst: Drop the obsolete -s from the pg_ctlcluster
    call.

 -- Martin Pitt <mpitt@debian.org>  Wed, 28 Dec 2005 15:06:38 +0100

postgresql (7.5.13) unstable; urgency=high

  * Urgency high since the only change is a simple bug fix.
  * Fix the path of the plpgsql.so symlink. (Brown paperbag...).
    Closes: #337514

 -- Martin Pitt <mpitt@debian.org>  Sat,  5 Nov 2005 08:11:18 -0500

postgresql (7.5.12) unstable; urgency=medium

  * Urgency medium since the only change is a simple bug fix.
  * Add a symbolic link for plpgsql.so in the legacy location to not break
    upgrades of databases which contain the old path. Closes: #333681, #316387

 -- Martin Pitt <mpitt@debian.org>  Wed, 26 Oct 2005 19:13:50 +0100

postgresql (7.5.11) unstable; urgency=medium

  * Urgency medium, only two small and safe bug fixes.
  * Add forgotten slash in usermod call to fix home directory.
  * Migrate /var/lib/postgres/.bash_history to new home directory
    /var/lib/postgresql/ instead of removing it. Closes: #330354

 -- Martin Pitt <mpitt@debian.org>  Wed, 28 Sep 2005 09:57:34 +0200

postgresql (7.5.10) unstable; urgency=low

  * Use usermod instead of sed to fix postgres' home directory.

 -- Martin Pitt <mpitt@debian.org>  Mon,  5 Sep 2005 23:30:21 +0200
