=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Section: misc
 Priority: optional
 Maintainer: Martin Pitt <mpitt@debian.org>
-Standards-Version: 3.6.1
+Standards-Version: 3.6.2
 Build-Depends-Indep: debhelper (>= 4.1.29)
 
 Package: postgresql
 Architecture: all
 Section: misc
-Depends: postgresql-7.4, postgresql-client (>= 7.5)
+Depends: postgresql-7.4, postgresql-client (>= 7.5), postgresql-common (>= 40)
 Recommends: postgresql-plpython-7.4, postgresql-plperl-7.4, postgresql-pltcl-7.4
-Conflicts: postgresql-contrib (<< 7.5), postgresql-common (<< 12)
+Conflicts: postgresql-contrib (<< 7.5)
 Description: object-relational SQL database management system (transitional)
  This is a transitional package to automatically migrate to the new
  multicluster/multiversion structure provided by postgresql-common and
